<?php global $session;
/**
 * Project:   BeCast WebEngine - simple site engine
 * File:      /modules/text/editcategory.apnl.php
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @link http://www.becast.at
 * @copyright 2009 becast.at
 * @author Bernhard Jaud <bernhard at becast dot at>
 * @package BeCast WebEngine core
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @version $Id: 08fb4f46965ad7299c8e6d6ecd571093d66bbde8 $
*/

If (!defined("IN_BCWE_ADMIN")) {
    die("Dieses Script kann nicht ausserhalb des Frameworks laufen!");
} 
$session->page_begin("edit category", True);

class editcategory_text_panel extends admin_module{
 	
	function output(){
		global $config, $db,$panel, $session, $root, $core, $admin;
				$fail=FALSE;
				
			if(isset($_POST['send'])&& $_POST['send']==1){
				if(isset($_POST['categoryname'])&& $_POST['categoryname']!=""){
						$userfile_name = $_FILES['picture']['name'];
						$userfile_tmp = $_FILES['picture']['tmp_name'];
						$userfile_size = $_FILES['picture']['size'];
						$userfile_type = $_FILES['picture']['type']; 
						$filedir = $root.'/catimages/';
						$size = 120;
						if (isset($_FILES['picture']['name']) && $_FILES['picture']['name']!=""){
							$prod_img = $filedir.$userfile_name;
							$ret=$core->upload_file($prod_img, $userfile_tmp, $size, $size, TRUE, TRUE);
							if($ret!==TRUE){
								$panel->admin_message("Fehler", "Das Bild konnte nicht hochgeladen wrden <br /> Der Fehler war: ". $ret,TRUE,"editcategory_text");
							}
							$result=$db->query("SELECT `picture` FROM `" . $config["prefix"]. "article_categories` WHERE `id`='".intval($_POST["id"])."' LIMIT 1");
							$file=$db->fetch_array($result);
							@unlink($filedir.$file['picture']);
							$db->query("UPDATE `" . $config["prefix"]. "article_categorys` SET `picture`='".$userfile_name."' WHERE `id`='".intval($_POST["id"])."'");
						}elseif($_POST["delimg"]==1){
							$result=$db->query("SELECT `picture` FROM `" . $config["prefix"]. "article_categories` WHERE `id`='".intval($_POST["id"])."' LIMIT 1");
							$file=$db->fetch_array($result);
							@unlink($filedir.$file['picture']);
							$db->query("UPDATE `" . $config["prefix"]. "article_categorys` SET `picture`='' WHERE `id`='".intval($_POST["id"])."'") or die($db->error());
						}
						
						$categoryname=$db->escape($_POST['categoryname']);
						$active=$db->escape($_POST['active']);
						$db->query("UPDATE `" . $config["prefix"]. "article_categorys` SET `categoryname`='".$categoryname."', `active`='".$active."' WHERE `id`='".intval($_POST["id"])."'") or die($db->error());
						$panel->admin_message("Danke", "Die Kategorie wurde erfolgreich editiert!.",TRUE,"editcategory_text");
					}else{
						$fail="<span style=\"text-align: center; color: red;\">Der Kategoriename muss angegeben werden!</span>";
					}
			
			}elseif(isset($_GET['id'])&& $_GET['id']!=""){
				if($_GET['action']=="edit"){
					$result = $db->query("SELECT * FROM `" . $config["prefix"] . "article_categories` WHERE `id`='".intval($_GET['id'])."'");
					$_POST=$db->fetch_array($result);
					/*$resultna=$db->query("SELECT id,name FROM " . $config["prefix"] . "menue");
					while($rowa=$db->fetch_array($resultna)){
						$resultn = $db->query("SELECT m_id FROM " . $config["prefix"] . "article_menue WHERE a_id='".intval($_GET['id'])."' and m_id='".$rowa["id"]."'");
						if($db->num_rows($resultn) >= 1){
							$rowa["checked"]="checked=\"checked\"";
						}
					$navs[]=$rowa;
					}*/

					
					$panel->title="Kategorie editieren";
					$panel->form(array("action"=>$config["path"]."/admin/index.php?panel=editcategory_text"),FALSE,"enctype=\"multipart/form-data\"");
					if($fail){
					$panel->content.=$fail;
					}
					$panel->content.="<h3>Kategoriename:</h3>";
					$panel->field(array("name"=>"categoryname","typ"=>"text","value"=>$_POST["categoryname"]));
					if($_POST["picture"]!=""){
						$panel->content.="<h3>aktuelles Kategoriebild:</h3>";
						$panel->content.="<img src=\"".$config["path"]."/catimages/".$_POST["picture"]."\" alt=\"Kategoriebild\" />";
						$panel->content.="<br />";	
						$panel->checkbox(array("name"=>"delimg","value"=>"1"));
						$panel->content.=" Bild l&ouml;schen?";
						$panel->content.="<br />";	
					}
					$panel->content.="<h3>neues Kategoriebild:</h3>";
					$panel->field(array("name"=>"picture","typ"=>"file"));
					$panel->content.="<br />";		
					$panel->content.="<h3>Aktiv:</h3>";
					$panel->select(array("Nein"=>"false","Ja"=>"true"),$_POST["active"],"active");			
					$panel->content.="<br />";							
					$panel->field(array("name"=>"send","typ"=>"hidden","value"=>"1"));
					$panel->field(array("name"=>"id","typ"=>"hidden","value"=>$_GET['id']));
					$panel->content.="<br />";
					$panel->submit();
					$panel->formClose();
					$panel->parse_page();

				}elseif($_GET["action"]=="delete" && $_GET["id"]){
					$result=$db->query("SELECT `picture` FROM `" . $config["prefix"] . "article_categories` where `id`='".intval($_GET["id"])."'");
					$row = $db->fetch_array($result);
					@unlink($root.'/catimages/'.$row["picture"]);
					$db->query("DELETE FROM `" . $config["prefix"] . "article_categories`  WHERE `id`='".intval($_GET["id"])."'");
					$panel->admin_message("Kategorie gel&ouml;scht!","Die Kategorie wurde erfolgreich gel&ouml;scht.",True,"editcategory_text",3);
				}		
					
			}else{
				$result = $db->query("SELECT * FROM `" . $config["prefix"] . "article_categories`");
				while($row=$db->fetch_array($result, $db->ASSOC)){
					$articles[]=$row;
				}
				$panel->title="Vorhandene Kategorien";
				$panel->content.="<table class=\"sortable\" width=\"90%\" cellspacing=\"2\">
							<tr>	
							<th align=\"center\">ID</th>
							<th align=\"center\">Name</th>
							<th align=\"center\">Bild</th>
							<th align=\"center\">Aktiv</th>
							<th class=\"nosort sortcol\" align=\"center\" width=\"18%\">Aktionen</th>
							</tr>";
				if(!empty($articles)){
					foreach($articles as $u){
						$panel->content.="<tr>
						<td align=\"center\">".$u["id"]."</td>
						<td align=\"center\">".$u["categoryname"]."</td>
						<td align=\"center\">".$u["picture"]."</td>";
						if($u["active"]=="true"){
							$panel->content.="<td align=\"center\">Ja</td>";
						}else{
							$panel->content.="<td align=\"center\">Nein</td>";
						}
						$panel->content.="<td align=\"center\"><a onclick=\"return confirmLink(this, 'Willst du wirklich die Kategorie ".$u["categoryname"]." l&ouml;schen? ')\" href=\"".$config["path"]."/admin/index.php?panel=editcategory_text&amp;action=delete&amp;id=".$u["id"]."\"><img src=\"".$config["path"]."/admin/images/icons/delete.png\" /></a> <a href=\"".$config["path"]."/admin/index.php?panel=editcategory_text&amp;action=edit&amp;id=".$u["id"]."\"><img src=\"".$config["path"]."/admin/images/icons/wrench.png\" /></a></td>
						</tr>";
					}
				}else{
				$panel->content.="<tr>
						<td align=\"center\" colspan=\"5\">Keine Kategorien vorhanden.</td>
						</tr>";
				}
				$panel->content.="</table><br />";
			}
	}
	
	function meta(){
		$meta.='<script type="text/javascript" src="'.$config["path"].'/js/scriptaculous/prototype.js"></script>
				<script src="'.$config["path"].'/js/fastinit.js" type="text/javascript">
				</script>
				<script src="'.$config["path"].'/js/tablesort.js" type="text/javascript">
				</script>';
				
		$meta.='<script type="text/javascript">
				function confirmLink(theLink, text)
				{
				// Confirmation is not required in the configuration file
				// or browser is Opera (crappy js implementation)
				if (typeof(window.opera) != \'undefined\') {
				return true;
				}
				
				var is_confirmed = confirm(text);
				if (is_confirmed) {
				if ( typeof(theLink.href) != \'undefined\' ) {
				theLink.href += \'&is_js_confirmed=1\';
				} else if ( typeof(theLink.form) != \'undefined\' ) {
				theLink.form.action += \'?is_js_confirmed=1\';
				}
				}
				
				return is_confirmed;
				} 
				</script>';
		return $meta;
	}
}
?>
